> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Holdings By User

> This endpoint reads all holdings associated with a specific `user`.

Read all holdings associated with a specific `user`.

<RequestExample>
  ```shell Request theme={null}
  curl -i 'https://vestibule.mx.com/users/USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d/holdings' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "holdings": [
      {
        "account_guid": "ACT-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
        "cost_basis": 676,
        "created_at": "2015-04-13T12:01:23-06:00",
        "currency_code": "USD",
        "cusip": "18383M878",
        "daily_change": 2.59,
        "description": "Guggenheim Defensive Equity ETF",
        "guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
        "holding_type": "MONEY_MARKET",
        "market_value": 899.5,
        "member_guid": "MBR-d65683e8-9eab-26bb-bcfd-ced159c9abe",
        "purchase_price": 26.3,
        "shares": 6,
        "symbol": "DEF",
        "updated_at": "2015-04-13T12:01:23-06:00",
        "user_guid": "USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d"
      },
      {
        "account_guid": "ACT-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
        "cost_basis": 827,
        "created_at": "2015-04-13T12:01:23-06:00",
        "currency_code": "USD",
        "cusip": "18383M878",
        "daily_change": 2.5,
        "description": "Guggenheim Defensive Equity ETF",
        "guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
        "holding_type": "MONEY_MARKET",
        "market_value": 989.5,
        "member_guid": "MBR-d65683e8-9eab-26bb-bcfd-ced159c9abe",
        "purchase_price": 26.3,
        "shares": 6,
        "symbol": "DEF",
        "updated_at": "2015-04-13T12:01:23-06:00",
        "user_guid": "USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d"
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 25,
      "total_entries": 1,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
